Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.db
Interface DBCollection

All Known Subinterfaces:
  Databases, Fields, Tables, Uniques, Workspaces

    public interface DBCollection

A `DBCollection` is a universal container to collect `DBObject`.

Method Summary
`boolean` | `contains(DBObject obj)` Returns `true` if this container contains a `DBObject` to the specified obj.
`boolean` | `contains(java.lang.String objName)` Returns `true` if this container contains a `DBObject` for the specified objName.
`boolean` | `isEmpty()` Returns `true` if this collection contains no elements.
`java.util.Iterator` | `iterator()` Returns an iterator over the elements in this collection.
`int` | `size()` Retrieves the amount of `DBObject`.

Method Detail

### size

    int size()

  Retrieves the amount of `DBObject`.

  Returns:
    the amount of total `DBObject`.

### isEmpty

    boolean isEmpty()

  Returns `true` if this collection contains no elements.

  Returns:
    `true` if this collection contains no elements.

### contains

    boolean contains(java.lang.String objName)

  Returns `true` if this container contains a `DBObject` for the specified objName.

  Parameters:
    `objName` - The name whose presence in this container is to be tested.
  Returns:
    `true` if this container contains a `DBObject` for the specified objName.

### contains

    boolean contains(DBObject obj)

  Returns `true` if this container contains a `DBObject` to the specified obj.

  Parameters:
    `obj` - whose presence in this container is to be tested.
  Returns:
    `true` if this container contains this `DBObject`.

### iterator

    java.util.Iterator iterator()

  Returns an iterator over the elements in this collection. There are no guarantees concerning the order in which the elements are returned (unless this collection is an instance of some class that provides a guarantee).

  Returns:
    an `Iterator` over the elements in this collection

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD